<style>
.mytable  table {
  background-color: #92D7F7;
  width: 1000px;
}

.mytable tr {
    background-color: white;
}

.mytable tr:nth-child(odd) {
    background-color: white;
}

.mytable tr:nth-child(even) {
    background-color: #FAFAFA; /* main table row color */
}

.mytable tbody tr:hover {
  background: #E8F8F5;
}

.textcolor {
}
.textordercolor {
  color: #1F02F1;
}
.scrollsection {
  overflow-y: auto;
  overflow-x: visible;
  max-height: 600px;
  background-color: WhiteSmoke;
}
.scrollsectiontablesingle {
  overflow-y: auto;
  overflow-x: visible;
  max-height: 600px;
}
</style>

The Reviews API gives you access to the extensive item reviews on Walmart that have been written by the users of
[Walmart.com](http://Walmart.com). This is great content for enriching item descriptions. You are free to showcase this content on your application provided you link back to the original content page on [Walmart.com](http://Walmart.com), as specified in the response parameter \"productTrackingUrl\".

The required <ioa href="/docs/affiliates/v1/additional-headers">Additional Headers</ioa> to make Affiliate API call need to be included.

### **Request**

<div class="mytable">

|        |                                                                                       |
| ------ | ------------------------------------------------------------------------------------- |
| Method | GET                                                                                   |
| URI    | https://developer.api.walmart.com/api-proxy/service/affil/product/v2/reviews/{itemId} |

</div>

<br/>

**Request Query Parameters**

<div class="mytable">

| Query Parameters | Description                                                                                 | Required |
| ---------------- | ------------------------------------------------------------------------------------------- | -------- |
| publisherId      | Impact Radius Publisher Id                                                                  | No       |
| nextPage         | Next Page of customer reviews. The value is available in previous response to the api call. | No       |

</div>

<br/>

**Sample Request**

**[https://developer.api.walmart.com/api-proxy/service/affil/product/v2/reviews/33093101](https://developer.api.walmart.com/api-proxy/service/affil/product/v2/reviews/33093101)**

**curl Sample Request**

```
curl -i -X GET \
-H \"WM\_CONSUMER.ID:1de0df0a-9de1-47b5-bb45-2dc8f26c5ab2\" \
-H \"WM\_CONSUMER.INTIMESTAMP:1585347041323\" \
-H "WM\_SEC.AUTH\_SIGNATURE:NYdUCBb2ylAgPqtpdHSrOLVwcMMIumCRu8TR5wi/qNQQypfoBSIHul7bs3BinjCXnm7pRuo+AHi2+m7CZY8llGd/jQCUDfpt56EnvK9sb4thNwlhvtNzM8dHanmnPsGBDRUCxpOklDQCviIEpzdEBtBy7PaoxoDPIVqIL/e+6qY=\" \
-H \"WM\_SEC.KEY\_VERSION:1\" \
\'https://developer.api.walmart.com/api-proxy/service/affil/product/v2/reviews/33093101\'
```

**Response**

<div class="scrollsectiontablesingle">

<div class="mytable">

| **Field**                                        | **Type**   | **Description**                                                                      | **Valid Values Format**                                                                                                                                                                          |
| ------------------------------------------------ | ---------- | ------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----- | ------------------------------------------------------------------------------------------------------------------------------ |
| itemId                                           | String     | Item Id                                                                              | 33093101                                                                                                                                                                                         |
| name                                             | String     | Standard name of the item                                                            | \"Apple iPad mini 16GB Wi-Fi\"                                                                                                                                                                   |
| salePrice                                        | String     | Sales Price of the item                                                              | 231.44                                                                                                                                                                                           |
| upc                                              | String     | Unique Product Code                                                                  | \"885909846290\"                                                                                                                                                                                 |
| categoryPath                                     | String     | This string describes the Reporting Hierarchy level names that the item falls under. | \"Home Page/Electronics/iPad & Tablets/All Tablets\"                                                                                                                                             |
| brandName                                        | String     | Item\'s brand                                                                        | \"Apple\"                                                                                                                                                                                        |
| productTrackingUrl                               | String     | Product\'s tracking URL using publisher id                                           | \"[https://goto.walmart.com/c/\|PUBID\|/568844/9383?veh=aff&sourceid=imp\_000011112222333344&prodsku=33093101 <br> &u=https%3A%2F%2Fwww.walmart.com%2Fip%2F33093101](https://goto.walmart.com/c/ | PUBID | /568844/9383?veh=aff&sourceid=imp_000011112222333344&prodsku=33093101 <br> &u=https%3A%2F%2Fwww.walmart.com%2Fip%2F33093101)\" |
| categoryNode                                     | String     | This string describes the Reporting Hierarchy level Ids that the item falls under.   | \"3944_1078524_1078084\"                                                                                                                                                                         |
| reviews                                          | Array      | Array of reviews for the tem                                                         | reviews: \[..\]                                                                                                                                                                                  |
| reviews.name                                     | String     | Standard name of the item                                                            | \"Apple iPad mini 16GB Wi-Fi\"                                                                                                                                                                   |
| reviews.overallRating                            | JSON       | JSON for the rating of the item                                                      | overallRating : {..}                                                                                                                                                                             |
| reviews.overallRating.label                      | String     | Type of rating                                                                       | \"Overall\"                                                                                                                                                                                      |
| reviews.overallRating.rating                     | String     | Customer rating                                                                      | \"5\"                                                                                                                                                                                            |
| reviews.reviewer                                 | String     | Reviewer\'s Name                                                                     | \"test_user_name\"                                                                                                                                                                               |
| reviews.reviewText                               | String     | Customer review text                                                                 | \"Very convenient and easy to use\"                                                                                                                                                              |
| reviews.submissionTime                           | String     | Timestamp at which customer submitted review                                         | \"2014-02-22T16:00:00\"                                                                                                                                                                          |
| reviews.title                                    | String     | Title of review                                                                      | \"Ipad mini review\"                                                                                                                                                                             |
| reviews.upVotes                                  | String     | Count of up votes given to customer review                                           | \"200\"                                                                                                                                                                                          |
| review.downVotes                                 | String     | Count of down votes given to customer review                                         | \"50\"                                                                                                                                                                                           |
| reviewStatistics                                 | JSON       | Customer review stats for the item                                                   | reviewStatistics : {..}                                                                                                                                                                          |
| reviewStatistics.averageOverallRating            | String     | Overall customer rating for the item                                                 | \"4.71\"                                                                                                                                                                                         |
| reviewStatistics.overallRatingRange              | String     | Range of the customer rating                                                         | \"5\"                                                                                                                                                                                            |
| reviewStatistics.ratingDistributions             | JSON Array | Customer Rating Distribution                                                         | ratingDistributions\": \[..\]                                                                                                                                                                    |
| reviewStatistics.ratingDistributions.ratingValue | String     | Rating distribution for the rating value                                             | \"1\"                                                                                                                                                                                            |
| reviewStatistics.ratingDistributions.count       | String     | Count of customer ratings for rating of ratingValue                                  | \"66\"                                                                                                                                                                                           |
| reviewStatistics.totalReviewCount                | String     | Total no of customer reviews                                                         | \"1000\"                                                                                                                                                                                         |
| nextPage                                         | String     | URL next page of customer Review                                                     | \"/reviews/33093101?page=2\"                                                                                                                                                                     |
| availableOnline                                  | Boolean    | Item available online (true/false)                                                   | false                                                                                                                                                                                            |

</div></div>

<br/><br/>
